package com.backendsys.modules.upload.service;

import com.backendsys.modules.upload.entity.MultipartUploadParams;
import com.backendsys.modules.upload.entity.SysFile;
import com.qcloud.cos.model.PartListing;
import org.springframework.web.multipart.MultipartFile;

import java.util.Map;

public interface SysFileMultipartService {

    // 1.初始化分块上传
    Map<String, Object> multipartUploadInit(MultipartUploadParams multipartUploadParams);
    // 2.上传分块
    Map<String, Object> multipartUpload(MultipartFile multipartFile, String upload_id, Integer upload_chunk_index);
    // 3.完成分块上传
    SysFile multipartUploadComplete(String upload_id, Integer is_watermark);

    // 查询分块上传情况
    Map<String, Object> listParts(String upload_id, String object_key);

}
